<?php
/* Instagram Hide/Show */
$instagram_hideshow = minimag_options('opt_instagram');

/* Instagram Feed by Access Token or Username */
$instagram_type = minimag_options('opt_instatype');

/* Instagram User */
$instagram_username = minimag_options('opt_insta_user');

/* Instagram Access Token */
$instagram_apikey = minimag_options('instagram_apikey');

/* Instagram Items to show */
$instagram_items = '6';
$instagram_items = minimag_options('opt_insta_image');

if( function_exists('minimag_instagram') && $instagram_type == 'user' && $instagram_username != '' && $instagram_hideshow == '1' ) {

	$instagram_arr = minimag_instagram( $instagram_username );

	if( is_array( $instagram_arr ) ) {
		?>
		<!-- Instagram -->
		<div class="container-fluid no-left-padding no-right-padding instagram-block">
			<ul class="instagram-carousel" data-items="<?php echo esc_attr( $instagram_items ); ?>">
				<?php					
				foreach( $instagram_arr as $instafeed ) {

					if( $instafeed['type'] == 'image' ) {
						?>
						<li><a href="<?php echo esc_url( $instafeed['link'] ); ?>" target="_blank"><img src="<?php echo esc_url( $instafeed['large'] ); ?>" alt="<?php echo esc_url( $instafeed['description'] ); ?>"></a></li>
						<?php
					}
				}
				?>
			</ul>
		</div><!-- Instagram /- -->
		<?php
	}
}
elseif( function_exists('minimag_instagram') && $instagram_type == 'token' && $instagram_apikey != '' && $instagram_hideshow == '1' ) {

	$instagram_arr = minimag_instagram_api( $instagram_apikey, $instagram_items );

	if( is_array( $instagram_arr ) ) {
		?>
		<!-- Instagram -->
		<div class="container-fluid no-left-padding no-right-padding instagram-block">
			<ul class="instagram-carousel" data-items="<?php echo esc_attr( $instagram_items ); ?>">
				<?php					
				foreach( $instagram_arr as $instafeed ) {

					$pic_text = $instafeed['caption']['text'];
					$pic_link = $instafeed['link'];
					$pic_like_count = $instafeed['likes']['count'];
					$pic_comment_count = $instafeed['comments']['count'];
					$pic_src = str_replace( "http://", "https://", $instafeed['images']['standard_resolution']['url'] );
					$pic_created_time = date("F j, Y", $instafeed['caption']['created_time']);
					$pic_created_time = date("F j, Y", strtotime( $pic_created_time . " +1 days" ) );
					?>
					<li><a href="<?php echo esc_url( $pic_link ); ?>" target="_blank"><img src="<?php echo esc_url( $pic_src ); ?>" alt="<?php echo esc_attr( $pic_text ); ?>"></a></li>
					<?php
				}
				?>
			</ul>
		</div><!-- Instagram /- -->
		<?php
	}
}
?>